summaryrefslogtreecommitdiff
path: root/dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-10 06:49:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-10 06:49:55 +0000
commitd8e7564fabea8929cf5b9232c82583230283f971 (patch)
tree94a0f2cd720eb4abdab246c2e208917751b2f421 /dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild
parent69d9ed571bca54c1370a6ab8cf5cf0c0074c785d (diff)
downloadbaldeagleos-repo-d8e7564fabea8929cf5b9232c82583230283f971.tar.gz
baldeagleos-repo-d8e7564fabea8929cf5b9232c82583230283f971.tar.xz
baldeagleos-repo-d8e7564fabea8929cf5b9232c82583230283f971.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild')
-rw-r--r--dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild b/dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild
new file mode 100644
index 000000000000..b6c20c1fedc9
--- /dev/null
+++ b/dev-python/python-iptables/python-iptables-1.0.0-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for iptables"
+HOMEPAGE="https://github.com/ldx/python-iptables"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="net-firewall/iptables"
+
+# tests manipulate live iptables rules, so disable them by default
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}/python-iptables-1.0.0-ldconfig-fix.patch"
+)
+
+distutils_enable_sphinx doc
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ # Prevent un-needed d'loading during doc build
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i doc/conf.py || die
+ distutils-r1_python_prepare_all
+}